function p = polyprod(q, vargin)
%POLYPROD product of polynomials
%   p = polyprod(q1, q2, ...) calculates the product of the polynomials
%   q1(x)*q2(x)*q3(x)*...
%   the polynomials are expected to a vector of coefficients starting with
%   the coefficient of the highest power of x.
%   
%   if only on argument is given, p=polyprod(Q) caclulates the product of
%   the polynomials contained in the columns of Q
%   

if nargin > 1
  p = q;
  for ii=1:numel(vargin)
    p = conv(p, vargin{ii});
  end
else
  p = 1;
  for ii=1:size(q, 2)
    p = conv(p, q(:, ii));
  end
end

end

